Debian Bug report logs - #433771
acpi_fakekey uses wrong input FIFO .../eventX

version graph

Package: acpi-support; Maintainer for acpi-support is Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>; Source for acpi-support is src:acpi-support.

Reported by: Ralf Miunske <rbm78ac@gmx.de>

Date: Thu, 19 Jul 2007 11:30:02 UTC

Severity: normal

Tags: patch

Merged with 426936, 426946

Found in versions acpi-support/0.80-1, acpi-support/0.90-4, acpi-support/0.95-2

Done: "Bart Samwel" <bart@samwel.tk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rbm78ac@gmx.de, bart@samwel.tk, Bart Samwel <bart@samwel.tk>:
Bug#433771; Package acpi-support. Full text and rfc822 format available.

Acknowledgement sent to Ralf Miunske <rbm78ac@gmx.de>:
New Bug report received and forwarded. Copy sent to rbm78ac@gmx.de, bart@samwel.tk, Bart Samwel <bart@samwel.tk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Miunske <rbm78ac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: acpi_fakekey uses wrong input FIFO .../eventX
Date: Thu, 19 Jul 2007 13:20:09 +0200
Package: acpi-support
Version: 0.95-2
Severity: important

Hi everyone!

I just figured out, that acpi_fakekey is not working for my devices.
(An Asus M2N laptop and a HP k704.de workstation)

An strace of acpi_fakekey gave me:
| # strace acpi_fakekey 16
| execve("/usr/bin/acpi_fakekey", ["acpi_fakekey", "16"], [/* 15 vars */]) = 0
[...]
| open("/dev/input/event0", O_RDWR)       = 3
| ioctl(3, 0x80404521, 0xbfd2d4e8)        = 64
| write(3, "i\206\4\10\364\337\362\267\1\0\20\0\1\0\0\0", 16) = 16
| write(3, "i\206\4\10\364\337\362\267\1\0\20\0\0\0\0\0", 16) = 16
| exit_group(0)                           = ?

Having a look at my event devices gave me (for my M2N):
# head -n 1 /sys/class/input/input*/name
| ==> /sys/class/input/input0/name <==
| Power Button (FF)
| 
| ==> /sys/class/input/input1/name <==
| Sleep Button (CM)
| 
| ==> /sys/class/input/input2/name <==
| Lid Switch
| 
| ==> /sys/class/input/input3/name <==
| AT Translated Set 2 keyboard
| 
| ==> /sys/class/input/input4/name <==
| PC Speaker
| 
| ==> /sys/class/input/input5/name <==
| SynPS/2 Synaptics TouchPad

That means that it is definitely using the event-device of the ACPI power button for my machines (both), but the default xorg.conf does only handle the standard keyboard. As I guess acpi_fakekey wants to inject the key codes there, though the man page only mentions the "correct input FIFO in /dev/input/eventx".

After modding acpi_fakekey.c a bit to see how it selects the event-device:
| # cat acpi_fakekey_mod.c
[...]
| int find_keyboard() {
| 	int i, j;
|         int fd;
|         char filename[32];
|         char key_bitmask[(KEY_MAX + 7) / 8];
| 	unsigned int u;
|         int first=1;
| 
|         printf("BTN_MISC is %d bits (=%d bytes).\n", BTN_MISC, BTN_MISC/8);
|         for (i=0; i<32; i++) {
|                 snprintf(filename,sizeof(filename), "/dev/input/event%d", i);
| 
|                 fd = open(filename, O_RDWR);
|                 ioctl(fd, EVIOCGBIT(EV_KEY, sizeof(key_bitmask)), key_bitmask);
| 
| 		for (j = 0; j < BTN_MISC; j++) {
| 			if (TestBit(j, key_bitmask))
| 				break;
| 		}
| 
|                 if (j < BTN_MISC) {
|                         printf("found event%d with : \n",i );
|                         for(j=0; j<sizeof(key_bitmask); ++j) {
|                            u=(key_bitmask[j]&0xff);
|                            printf(" %02x", u);
|                            if((j%16) == 7) printf(" "); if((j%16) == 15) printf("\n");
|                         }
|                         if(first) { first=0; printf(" -> would select this one <-\n"); }
|                         printf("\n");
|                 }
| 		close (fd);
|         }
|         return 0;
| }
[...]

I got theese "key_bitmasks":
| # gcc -o acpi_fakekey_mod acpi_fakekey_mod.c && ./acpi_fakekey_mod
| BTN_MISC is 256 bits (=32 bytes).
| found event0 with :	# POWERBTN
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 10 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  -> would select this one <-
| 
| found event1 with :	# SLEEPBTN
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  00 40 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
| 
| found event3 with :	# ATKBD
|  fe ff ff ff ff ff ff ff  ff ff ef ff df ff ff fe
|  01 d0 40 f8 78 20 80 03  00 00 00 02 04 00 00 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
|  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00

Sureley all three devices have bits set below BTN_MISC.

By the way: I'm using 2.6.21.6 with config:
| [...]
| CONFIG_ACPI=y
| [...]
| CONFIG_ACPI_AC=y
| CONFIG_ACPI_BATTERY=y
| CONFIG_ACPI_BUTTON=y
| CONFIG_ACPI_VIDEO=y
| [...]
| CONFIG_INPUT=y
| CONFIG_INPUT_MOUSEDEV=y
| CONFIG_INPUT_MOUSEDEV_PSAUX=y
| CONFIG_INPUT_JOYDEV=y
| CONFIG_INPUT_EVDEV=y
| CONFIG_INPUT_KEYBOARD=y
| CONFIG_KEYBOARD_ATKBD=y
| CONFIG_INPUT_MOUSE=y
| CONFIG_MOUSE_PS2=y
| CONFIG_INPUT_JOYSTICK=y
| CONFIG_INPUT_MISC=y
| CONFIG_INPUT_PCSPKR=y

As a quick and dirty hack
| CONFIG_ACPI_BUTTON=m
solved the problem for me by reordering my devices, but I think it's not the way to do it-

Cheers,
   Ralf Miunske

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21.6 (PREEMPT)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages acpi-support depends on:
ii  acpid                        1.0.4-7.1   Utilities for using ACPI power man
ii  dmidecode                    2.9-1       Dump Desktop Management Interface 
ii  finger                       0.17-11     user information lookup program
ii  hdparm                       7.5-1       tune hard disk parameters for high
ii  laptop-detect                0.12.1-0.1  attempt to detect a laptop
ii  libc6                        2.6-2       GNU C Library: Shared libraries
ii  lsb-base                     3.1-23.1    Linux Standard Base 3.1 init scrip
ii  powermgmt-base               1.29        Common utils and configs for power
ii  radeontool                   1.5-5       utility to control ATI Radeon back
ii  toshset                      1.72-4      Access much of the Toshiba laptop 
ii  vbetool                      0.7-1.1     run real-mode video BIOS code to a
ii  xbase-clients                1:7.2.ds2-2 miscellaneous X clients

acpi-support recommends no packages.

-- no debconf information



Information stored:
Bug#433771; Package acpi-support. Full text and rfc822 format available.

Acknowledgement sent to Bart Samwel <bart@samwel.tk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 433771-quiet@bugs.debian.org (full text, mbox):

From: Bart Samwel <bart@samwel.tk>
To: Ralf Miunske <rbm78ac@gmx.de>, 433771-quiet@bugs.debian.org
Subject: Re: Bug#433771: acpi_fakekey uses wrong input FIFO .../eventX
Date: Thu, 19 Jul 2007 14:01:26 +0200
Thank you for your report. I will look into this when I find a moment.

Cheers,
Bart

Ralf Miunske wrote:
> Package: acpi-support
> Version: 0.95-2
> Severity: important
> 
> Hi everyone!
> 
> I just figured out, that acpi_fakekey is not working for my devices.
> (An Asus M2N laptop and a HP k704.de workstation)
> 
> An strace of acpi_fakekey gave me:
> | # strace acpi_fakekey 16
> | execve("/usr/bin/acpi_fakekey", ["acpi_fakekey", "16"], [/* 15 vars */]) = 0
> [...]
> | open("/dev/input/event0", O_RDWR)       = 3
> | ioctl(3, 0x80404521, 0xbfd2d4e8)        = 64
> | write(3, "i\206\4\10\364\337\362\267\1\0\20\0\1\0\0\0", 16) = 16
> | write(3, "i\206\4\10\364\337\362\267\1\0\20\0\0\0\0\0", 16) = 16
> | exit_group(0)                           = ?
> 
> Having a look at my event devices gave me (for my M2N):
> # head -n 1 /sys/class/input/input*/name
> | ==> /sys/class/input/input0/name <==
> | Power Button (FF)
> | 
> | ==> /sys/class/input/input1/name <==
> | Sleep Button (CM)
> | 
> | ==> /sys/class/input/input2/name <==
> | Lid Switch
> | 
> | ==> /sys/class/input/input3/name <==
> | AT Translated Set 2 keyboard
> | 
> | ==> /sys/class/input/input4/name <==
> | PC Speaker
> | 
> | ==> /sys/class/input/input5/name <==
> | SynPS/2 Synaptics TouchPad
> 
> That means that it is definitely using the event-device of the ACPI power button for my machines (both), but the default xorg.conf does only handle the standard keyboard. As I guess acpi_fakekey wants to inject the key codes there, though the man page only mentions the "correct input FIFO in /dev/input/eventx".
> 
> After modding acpi_fakekey.c a bit to see how it selects the event-device:
> | # cat acpi_fakekey_mod.c
> [...]
> | int find_keyboard() {
> | 	int i, j;
> |         int fd;
> |         char filename[32];
> |         char key_bitmask[(KEY_MAX + 7) / 8];
> | 	unsigned int u;
> |         int first=1;
> | 
> |         printf("BTN_MISC is %d bits (=%d bytes).\n", BTN_MISC, BTN_MISC/8);
> |         for (i=0; i<32; i++) {
> |                 snprintf(filename,sizeof(filename), "/dev/input/event%d", i);
> | 
> |                 fd = open(filename, O_RDWR);
> |                 ioctl(fd, EVIOCGBIT(EV_KEY, sizeof(key_bitmask)), key_bitmask);
> | 
> | 		for (j = 0; j < BTN_MISC; j++) {
> | 			if (TestBit(j, key_bitmask))
> | 				break;
> | 		}
> | 
> |                 if (j < BTN_MISC) {
> |                         printf("found event%d with : \n",i );
> |                         for(j=0; j<sizeof(key_bitmask); ++j) {
> |                            u=(key_bitmask[j]&0xff);
> |                            printf(" %02x", u);
> |                            if((j%16) == 7) printf(" "); if((j%16) == 15) printf("\n");
> |                         }
> |                         if(first) { first=0; printf(" -> would select this one <-\n"); }
> |                         printf("\n");
> |                 }
> | 		close (fd);
> |         }
> |         return 0;
> | }
> [...]
> 
> I got theese "key_bitmasks":
> | # gcc -o acpi_fakekey_mod acpi_fakekey_mod.c && ./acpi_fakekey_mod
> | BTN_MISC is 256 bits (=32 bytes).
> | found event0 with :	# POWERBTN
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 10 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  -> would select this one <-
> | 
> | found event1 with :	# SLEEPBTN
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  00 40 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> | 
> | found event3 with :	# ATKBD
> |  fe ff ff ff ff ff ff ff  ff ff ef ff df ff ff fe
> |  01 d0 40 f8 78 20 80 03  00 00 00 02 04 00 00 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> |  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
> 
> Sureley all three devices have bits set below BTN_MISC.
> 
> By the way: I'm using 2.6.21.6 with config:
> | [...]
> | CONFIG_ACPI=y
> | [...]
> | CONFIG_ACPI_AC=y
> | CONFIG_ACPI_BATTERY=y
> | CONFIG_ACPI_BUTTON=y
> | CONFIG_ACPI_VIDEO=y
> | [...]
> | CONFIG_INPUT=y
> | CONFIG_INPUT_MOUSEDEV=y
> | CONFIG_INPUT_MOUSEDEV_PSAUX=y
> | CONFIG_INPUT_JOYDEV=y
> | CONFIG_INPUT_EVDEV=y
> | CONFIG_INPUT_KEYBOARD=y
> | CONFIG_KEYBOARD_ATKBD=y
> | CONFIG_INPUT_MOUSE=y
> | CONFIG_MOUSE_PS2=y
> | CONFIG_INPUT_JOYSTICK=y
> | CONFIG_INPUT_MISC=y
> | CONFIG_INPUT_PCSPKR=y
> 
> As a quick and dirty hack
> | CONFIG_ACPI_BUTTON=m
> solved the problem for me by reordering my devices, but I think it's not the way to do it-
> 
> Cheers,
>    Ralf Miunske
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.21.6 (PREEMPT)
> Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages acpi-support depends on:
> ii  acpid                        1.0.4-7.1   Utilities for using ACPI power man
> ii  dmidecode                    2.9-1       Dump Desktop Management Interface 
> ii  finger                       0.17-11     user information lookup program
> ii  hdparm                       7.5-1       tune hard disk parameters for high
> ii  laptop-detect                0.12.1-0.1  attempt to detect a laptop
> ii  libc6                        2.6-2       GNU C Library: Shared libraries
> ii  lsb-base                     3.1-23.1    Linux Standard Base 3.1 init scrip
> ii  powermgmt-base               1.29        Common utils and configs for power
> ii  radeontool                   1.5-5       utility to control ATI Radeon back
> ii  toshset                      1.72-4      Access much of the Toshiba laptop 
> ii  vbetool                      0.7-1.1     run real-mode video BIOS code to a
> ii  xbase-clients                1:7.2.ds2-2 miscellaneous X clients
> 
> acpi-support recommends no packages.
> 
> -- no debconf information
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Bart Samwel <bart@samwel.tk>:
Bug#433771; Package acpi-support. Full text and rfc822 format available.

Acknowledgement sent to bart@samwel.tk:
Extra info received and forwarded to list. Copy sent to Bart Samwel <bart@samwel.tk>. Full text and rfc822 format available.

Message #15 received at 433771@bugs.debian.org (full text, mbox):

From: "Bart Samwel" <bart@samwel.tk>
To: 433771@bugs.debian.org
Subject: Fixed in svn
Date: Sun, 12 Aug 2007 16:31:15 +0200 (CEST)
[Message part 1 (text/plain, inline)]
I've committed the attached patch. Apparently the power key is in the
range checked by acpi_fakekey. I've now changed it so that it assumes that
any input device which has a key in the QWERTYUIOP range is "the"
keyboard. Could you confirm that this patch fixes your problem?

Cheers,
Bart
[acpi_fakekey.patch (text/x-patch, attachment)]

Severity set to `normal' from `important' Request was from "Bart Samwel" <bart@samwel.tk> to control@bugs.debian.org. (Sun, 12 Aug 2007 14:54:03 GMT) Full text and rfc822 format available.

Merged 373660 433771. Request was from "Bart Samwel" <bart@samwel.tk> to control@bugs.debian.org. (Sun, 12 Aug 2007 14:54:04 GMT) Full text and rfc822 format available.

Tags added: patch Request was from "Bart Samwel" <bart@samwel.tk> to control@bugs.debian.org. (Sun, 12 Aug 2007 15:21:06 GMT) Full text and rfc822 format available.

Merged 373660 426936 426946 433771. Request was from "Bart Samwel" <bart@samwel.tk> to control@bugs.debian.org. (Sun, 12 Aug 2007 15:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bart Samwel <bart@samwel.tk>:
Bug#433771; Package acpi-support. Full text and rfc822 format available.

Acknowledgement sent to Ralf Miunske <rbm8ac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Bart Samwel <bart@samwel.tk>. Full text and rfc822 format available.

Message #28 received at 433771@bugs.debian.org (full text, mbox):

From: Ralf Miunske <rbm8ac@gmx.de>
To: Bart Samwel <bart@samwel.tk>, 433771@bugs.debian.org
Subject: Re: Fixed in svn
Date: Tue, 28 Aug 2007 12:43:23 +0200
Hi Bart!

Yeah, it seems towork for me!
Sry for my late answer!

Thanks a lot!
  Ralf



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#433771; Package acpi-support. Full text and rfc822 format available.

Acknowledgement sent to Bart Samwel <bart@samwel.tk>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #33 received at 433771@bugs.debian.org (full text, mbox):

From: Bart Samwel <bart@samwel.tk>
To: Ralf Miunske <rbm8ac@gmx.de>
Cc: 433771@bugs.debian.org
Subject: Re: Fixed in svn
Date: Tue, 28 Aug 2007 14:45:44 +0200
Hi Ralf,

Ralf Miunske wrote:
> Hi Bart!
> 
> Yeah, it seems towork for me!
> Sry for my late answer!

Good, that means this will actually go in. :-)

Cheers,
Bart



Reply sent to Bart Samwel <bart@samwel.tk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Miunske <rbm78ac@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 433771-close@bugs.debian.org (full text, mbox):

From: Bart Samwel <bart@samwel.tk>
To: 433771-close@bugs.debian.org
Subject: Bug#433771: fixed in acpi-support 0.103-1
Date: Mon, 08 Oct 2007 09:17:03 +0000
Source: acpi-support
Source-Version: 0.103-1

We believe that the bug you reported is fixed in the latest version of
acpi-support, which is due to be installed in the Debian FTP archive:

acpi-support_0.103-1.diff.gz
  to pool/main/a/acpi-support/acpi-support_0.103-1.diff.gz
acpi-support_0.103-1.dsc
  to pool/main/a/acpi-support/acpi-support_0.103-1.dsc
acpi-support_0.103-1_i386.deb
  to pool/main/a/acpi-support/acpi-support_0.103-1_i386.deb
acpi-support_0.103.orig.tar.gz
  to pool/main/a/acpi-support/acpi-support_0.103.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bart Samwel <bart@samwel.tk> (supplier of updated acpi-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 07 Oct 2007 11:15:00 +0200
Source: acpi-support
Binary: acpi-support
Architecture: source i386
Version: 0.103-1
Distribution: unstable
Urgency: low
Maintainer: Bart Samwel <bart@samwel.tk>
Changed-By: Bart Samwel <bart@samwel.tk>
Description: 
 acpi-support - scripts for handling many ACPI events
Closes: 374069 421017 424004 430491 430494 430895 432020 433771 434845 436370 437141 438430 438665 445213
Changes: 
 acpi-support (0.103-1) unstable; urgency=low
 .
   * New upstream version 0.96 (from Ubuntu Gutsy):
     * ibm-acpi has been renamed to thinkpad-acpi. Rename options file
       accordingly. (Closes: #434845)
   * New upstream version 0.96-ubuntu1 (from Ubuntu Gutsy):
     * Build packages for lpia as well.
   * New upstream version 0.97 (from Ubuntu Gutsy):
     * Improve X display finding
     * Switch Thinkpad wireless hotkey control back to firmware for now
     * Improve Toshiba wireless handling
     * Check fragment scripts are executable
     * Improve Panasonic support
     * Improve state saving/restoring over suspend/resume
     * Add Asus brightness key support
     * Alter some dependencies to recommends
     * Fix init script to check state on boot
     * Depend on the appropriate shlibdeps
     * Add a postrm to tidy up the init scripts
     * We no longer need to stop mysql
     * Tidy up scripts so a few errors aren't produced
     * Update sony brightness script to handle sony-laptop
   * New upstream version 0.98 (from Ubuntu Gutsy):
      * Add support for the video toggle hotkey
   * New upstream version 0.99 (from Ubuntu Gutsy):
     * prepare.sh: Fix missing space in executability test.
   * New upstream version 0.100 (from Ubuntu Gutsy):
     * send events on ACPI brightness presses
   * New upstream version 0.101 (from Ubuntu Gutsy):
     * Switch Thinkpad to using ACPI events for magic keys so that
       'thinkpad-keys' can go away and save us all from the new Lenovopad
       slow NVRAM.
     - See 'hotkey-setup' for remapping and initial module loading + setup.
     * Extend mask used in 'thinkpad_acpi.modprobe'.
   * New upstream version 0.102 (from Ubuntu Gutsy):
     * Poke thinkpad-keys on CMOS notification
   * New upstream version 0.103 (from Ubuntu Gutsy):
     * Replace call to 'thinkpad-keys-update' with "thinkpad-keys --update"
     * Remove wireless-related comment gruff from 'thinkpad-cmos' event.
   * Use nvclock instead of smartdimmer for setting LCD brightness on Sony
     laptops. (Closes: #430491)
   * Call the correct function in wireless.sh to toglle wireless states.
     (Closes: #430895)
   * Correctly detect keyboard event device in acpi_fakekey. (Closes: #433771)
   * Add LSB dependency info to acpi-support and vbesave init scripts.
     (Closes: #432020)
   * Fix a problem in power-funcs (getXconsole function), which didn't work when
     COLUMNS was set. (Closes: #437141)
   * Press LEFT SHIFT (using acpi_fakekey) after unblanking the screen when the
     lid is opened. (Closes: #374069)
   * Fix path to backlight control file for sony laptops, from upstream version
     0.97. (Closes: #424004)
   * Honor DEB_BUILD_OPTIONS=nostrip. (Closes: #436370)
   * Document thinkpad_acpi options in thinkpad_acpi.modprobe. (Closes: #438430)
   * Send SIGHUP to ksysguardd on resume so that it reopens its files in
     /proc/acpi. (Closes: #421017)
   * Correct directory existence check in power.sh. (Closes: #430494)
   * Perform error checking for vbetool. (Closes: #445213)
   * Reduced dependency on xbase-clients to x11-xserver-utils. (Closes: #438665)
Files: 
 ccccda253fd15eb6da11b5cc6d90999f 884 admin optional acpi-support_0.103-1.dsc
 1c6b94cde1b6828b097d2fb424aa4098 40874 admin optional acpi-support_0.103.orig.tar.gz
 b729d20501177c3b92da426a55ea21c5 29320 admin optional acpi-support_0.103-1.diff.gz
 65f77cc0cfc10a08cdf9982bd3e7d375 43106 admin optional acpi-support_0.103-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHCfG9vPbGD26BadIRAv8LAJ49gm6p27XnPvVDHsJJeoVLm57ALgCgiWQI
LkR82gdyU9FjJ/9/azXQcxk=
=B3Fg
-----END PGP SIGNATURE-----





Reply sent to Bart Samwel <bart@samwel.tk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Angus Lees <gus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Bart Samwel <bart@samwel.tk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Bart Samwel <bart@samwel.tk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Bart Samwel <bart@samwel.tk> to control@bugs.debian.org. (Tue, 09 Oct 2007 20:03:07 GMT) Full text and rfc822 format available.

Disconnected #373660 from all other report(s). Request was from "Bart Samwel" <bart@samwel.tk> to control@bugs.debian.org. (Tue, 09 Oct 2007 20:48:46 GMT) Full text and rfc822 format available.

Reply sent to bart@samwel.tk:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Miunske <rbm78ac@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 433771-done@bugs.debian.org (full text, mbox):

From: "Bart Samwel" <bart@samwel.tk>
To: 433771-done@bugs.debian.org
Subject: Re-close bug
Date: Tue, 9 Oct 2007 22:50:43 +0200 (CEST)
This bug was reopened by mistake. I only intended to reopen 373660, but
reopening that reopened the other merged bugs as well (while it may be
that the problem of bug 373660 is different from the other bugs).

--Bart




Reply sent to bart@samwel.tk:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to bart@samwel.tk:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Nov 2007 07:27:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:01:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.